Ticket #9958: python-2.7.2.p0-p1.diff

File python-2.7.2.p0-p1.diff, 4.6 KB (added by jdemeyer, 9 years ago)

Diff for the Python spkg 2.7.2.p0 -> 2.7.2.p1, for review only

  • SPKG.txt

    # HG changeset patch
    # User Jeroen Demeyer <jdemeyer@cage.ugent.be>
    # Date 1325703488 -3600
    # Node ID ea88908e80b77d4954b483be626b59634f310d9a
    # Parent  5ab64687af3f6c6b280163b0ec18a505c3fbb145
    Trac #9958: further clean up, remove devel/sage-*/build on upgrade
    
    diff --git a/SPKG.txt b/SPKG.txt
    a b  
    6464
    6565== Changelog ==
    6666
     67=== python-2.7.2.p1 (Jeroen Demeyer, 4 January 2012) ===
     68 * Trac #9958: delete $SAGE_ROOT/devel/sage-*/build directories of
     69   older Python versions to fix upgrading.
     70 * Remove obsolete patch Modules.Setup.dist.patch
     71 * Clean up spkg-install, remove old/unused parts.
     72
    6773=== python-2.7.2.p0 (François Bissey, December 21st, 2011) ===
    6874 * #9958 Upgrade to python-2.7.2.
    6975 * Converted the spkg to use patch exclusively.
    7076 * A number of patches have been dropped because the fix are in this release
    71    or they don't apply cleanly anymore. The list of dropped patches is as follow:
     77   or they don't apply cleanly anymore. The list of dropped patches is:
    7278   - locale.py doesn't apply to this release
    7379   - readline-spacebug.patch fixed in this release
    7480   - readline-Itanium-fix.patch cannot be applied as is in this release
  • deleted file patches/Modules.Setup.dist.patch

    diff --git a/patches/Modules.Setup.dist.patch b/patches/Modules.Setup.dist.patch
    deleted file mode 100644
    + -  
    1 diff -Naur src/Modules/Setup.dist src.new/Modules/Setup.dist
    2 --- src/Modules/Setup.dist      2010-05-25 23:40:38.000000000 +0100
    3 +++ src.new/Modules/Setup.dist  2011-04-24 09:21:56.521446467 +0100
    4 @@ -221,7 +221,7 @@
    5  #
    6  # First, look at Setup.config; configure may have set this for you.
    7  
    8 -#crypt cryptmodule.c # -lcrypt # crypt(3); needs -lcrypt on some systems
    9 +crypt cryptmodule.c -lcrypt    # crypt(3); needs -lcrypt on some systems like Ubuntu 11.04
    10  
    11  
    12  # Some more UNIX dependent modules -- off by default, since these
  • spkg-install

    diff --git a/spkg-install b/spkg-install
    a b  
    1111    exit 1
    1212fi
    1313
     14cd src
     15
    1416# PATCH
    15 
    16 patch -p0 < patches/Lib.distutils.command.sdist.patch
    17 if [ $? -ne 0 ]; then
    18     echo "Error copying patched sdist.py"
    19     exit 1
    20 fi
    21 
    22 patch -p0 < patches/Lib.socket.patch
    23 if [ $? -ne 0 ]; then
    24     echo "Error copying patched socket.py"
    25     exit 1
    26 fi
    27 
    28 patch -p0 < patches/dynamic_class_copyreg_py.patch
    29 if [ $? -ne 0 ]; then
    30     echo "Error copying patched pickle.py"
    31     exit 1
    32 fi
    33 
    34 patch -p0 < patches/dynamic_class_copyreg_c.patch
    35 if [ $? -ne 0 ]; then
    36     echo "Error copying patched cPickle.c"
    37     exit 1
    38 fi
    39 
    40 patch -p0 < patches/Makefile.pre.in.patch
    41 if [ $? -ne 0 ]; then
    42     echo >&2 "Error patching Makefile.pre.in"
    43     exit 1
    44 fi
     17for patch in ../patches/*.patch; do
     18    patch -p1 <"$patch"
     19    if [ $? -ne 0 ]; then
     20        echo >&2 "Error: Patch \"$patch\" failed to apply."
     21        exit 1
     22    fi
     23done
    4524
    4625# We are setting LDFLAGS and CPPFLAGS so that we pick up Sage's readline
    4726LDFLAGS="-L$SAGE_LOCAL/lib $LDFLAGS"
     
    6342#       is.
    6443#       -- Yi Qiang
    6544#
    66 # This bug was fixed in Python, but not yet in Python 2.6.4. So this fix
     45# This bug was fixed in Python, but not yet in Python 2.7.2. So this fix
    6746# can be removed the next time we upgrade our version of Python. See
    6847#
    6948#   http://bugs.python.org/issue6954
     
    7352unset DISTUTILS_DEBUG
    7453
    7554
    76 cd src
    77 
    78 touch Include/*
    7955
    8056build()
    8157{
     
    131107    fi
    132108}
    133109
    134 # Do not exit script if there is an error, but instead print an
    135 # informative error message. This is helps in determining why the
    136 # configuration, compilation or installation failed. So put this before the
    137 # build() function.
    138 set +e # This is redundant here, but doesn't hurt to keep it... ;-)
    139110
    140111build
    141112
    142113cd "$SAGE_LOCAL/lib"
    143114
    144 # move the python directory if we're upgrading from a version
    145 # of sage with python 2.5
    146 if [ -d python2.6/site-packages ]; then
    147    mv python2.6/site-packages python2.7/site-packages-old
     115# If we are upgrading from Python-2.6, remove compiled Python files.
     116# We do not care about still older Python versions, since upgrades
     117# from such old Sage versions are not supported anyway.
     118if [ -d python2.6 ]; then
     119    rm -rf "$SAGE_ROOT"/devel/sage-*/build
    148120fi
    149121
    150 rm -rf python/python2.7 python/python2.6 python/python2.5 python/python python python2.4 python2.5
     122# Make symbolic link (after removing old link first)
     123rm -f python
    151124ln -s python2.7 python
    152125if [ $? -ne 0 ]; then
    153126    echo >&2 "Error creating symbolic link"
    154127    exit 1
    155128fi
    156129
     130# Remove previous Python installs
     131rm -rf python2.6
     132
     133
    157134# Make sure extension modules were built correctly.
    158135# All these modules are important and if any one
    159136# fails to build, Sage will not work.